Index: EcnlProtoTool/trunk/asp3_dcre/tecsgen/tecslib/plugin/NotifierPlugin.rb
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/tecsgen/tecslib/plugin/NotifierPlugin.rb	(revision 299)
+++ EcnlProtoTool/trunk/asp3_dcre/tecsgen/tecslib/plugin/NotifierPlugin.rb	(revision 321)
@@ -14,79 +14,61 @@
 class NotifierPlugin < CelltypePlugin
 
-	# ---------- ã¢ããã¿é¢æ°ã®çæ -------------
+	# ---------- アダプタ関数の生成 -------------
 	#
-	# siHandlerBodyã®åãå£é¢æ°ã¯ï¼ã¿ã¤ã ã¤ãã³ãéç¥ã®éç¥å
-ã¨ãã¦ç´æ¥æå®ãã
-	# ãã¨ã¯ã§ããªãï¼ã·ã°ããã£ãä¸è´ãã¦ããªããã¨ãçç±ã§ããï¼ãã®ããï¼ã¢ã
-	# ãã¿ã¨ãã¦åä½ããé¢æ°ãçæãï¼ã«ã¼ãã«ããã®å¼åºããTECSã®å¼åºãã«å¤æã§
-	# ããããã«ããå¿
-è¦ãããï¼
+	# siHandlerBodyの受け口関数は，タイムイベント通知の通知先として直接指定する
+	# ことはできない．シグネチャが一致していないことが理由である．このため，アダ
+	# プタとして動作する関数を生成し，カーネルからの呼出しをTECSの呼出しに変換で
+	# きるようにする必要がある．
 	#
-	# åºæ¬çã«ã¯ï¼åãå£æ¯ã«ã¢ããã¿é¢æ°ãçæããã°ååã§ããï¼ãããï¼ããã§ã¯
-	# ã¡ã¢ãªæ¶è²»éãä¸å¿
-è¦ã«å¢å ãã¦ãã¾ãï¼ããã§ï¼éç¥å
-é¢æ°ã«intptr_tåã®å¼æ°
-	# ãæ¸¡ãããã¨ã«çç®ãï¼é¢æ°ã®"ä¸è¬å"ãå³ãï¼ããªãã¡åãå£ã®ããå±æ§(ãã
-	# ã§ã¯ï¼çµåå
-ã®ã»ã«ï¼æ·»å­ãªã©ãæã)ãï¼ã¢ããã¿é¢æ°ã®å¼æ°ã¨ãã¦åãåãã
-	# ããã«ãï¼1åã®ã¢ããã¿é¢æ°ã2åä»¥ä¸ã®çµåã«å¯¾ãç¨ãããã¨ãã§ããããã«
-	# ããï¼
+	# 基本的には，受け口毎にアダプタ関数を生成すれば十分である．しかし，これでは
+	# メモリ消費量が不必要に増加してしまう．そこで，通知先関数にintptr_t型の引数
+	# を渡せることに着目し，関数の"一般化"を図る．すなわち受け口のある属性(ここ
+	# では，結合先のセル，添字などを指す)を，アダプタ関数の引数として受け取れる
+	# ようにし，1個のアダプタ関数を2個以上の結合に対し用いることができるように
+	# する．
 	#
-	# ã¢ããã¿é¢æ°ã®å±æ§ã«ã¤ãã¦æ´çããã¨ï¼
-	#  - åãå£é¢æ° - ä¸è¬åãè¡ãã¨ï¼å®è¡æã³ã¹ããå¤§ããå¢å¤§ãã¦ãã¾ããã¨ã
-	#    ç¢ºèªããã¦ããï¼ãã®ããï¼ä¸è¬åã¯è¡ããªãï¼EntryPropertyã«ãå«ããªãï¼
-	#  - ã»ã«ã¤ã³ããã¯ã¹ - CELLIDXåã§ï¼åã®è¦å®ã¯ãªããï¼"ãã¤ã³ã¿å¤ã§ãã£ãã
-	#    æ´æ°å¤ã§ãã£ããããã" (TECS 5.3.6) ããï¼ã¤ã³ããã¯ã¹ããã¤ã³ã¿ãã
-	#    ãã¨ãåããï¼ã¤ã³ããã¯ã¹ã ã¨ããã¨ï¼ãã®å¤ã¯ã»ã«CBã®ã¢ãã¬ãã·ã³ã°ã«
-	#    ä½¿ç¨ãããã®ã§ï¼intptr_tã«åã¾ãç­ã§ããï¼ãã¤ã³ã¿ã®å ´åï¼å½ç¶intptr_t
-	#    ã«åã¾ãï¼
-	#  - åãå£é
-åã®æ·»å­ - int_tï¼åæ§ã«intptr_tã«åã¾ãç­ã§ããï¼
-	# ãããã®ãã¡ï¼ã»ã«ã¤ã³ããã¯ã¹ã¨åãå£é
-åã®æ·»å­ã¯ãã©ã¡ã¼ã¿ã«å«ãããã¨ã
-	# ã§ãããã§ãããï¼ä¸¡æ¹ã¯ç¡çã§ããï¼
-	# ä¸¡æ¹ãæ ¼ç´ããé
-åãçæãï¼ãã®é
-åã®è¦ç´ ã¸ã®ãã¤ã³ã¿ãæ¸¡ãããã«ããã¨ã
-	# ãé¸æè¢ãå¯è½ã§ãããï¼å®è¡éåº¦ãåªå
-ããããã«ï¼ãã®æ¹æ³ã¯ã¨ããªãã£ãï¼
+	# アダプタ関数の属性について整理すると，
+	#  - 受け口関数 - 一般化を行うと，実行時コストが大きく増大してしまうことが
+	#    確認されている．このため，一般化は行わない．EntryPropertyにも含めない．
+	#  - セルインデックス - CELLIDX型で，型の規定はないが，"ポインタ値であったり
+	#    整数値であったりする。" (TECS 5.3.6) より，インデックスかポインタある
+	#    ことが分かる．インデックスだとすると，この値はセルCBのアドレッシングに
+	#    使用されるので，intptr_tに収まる筈である．ポインタの場合，当然intptr_t
+	#    に収まる．
+	#  - 受け口配列の添字 - int_t．同様にintptr_tに収まる筈である．
+	# これらのうち，セルインデックスと受け口配列の添字はパラメータに含めることが
+	# できそうであるが，両方は無理である．
+	# 両方を格納した配列を生成し，その配列の要素へのポインタを渡すようにするとい
+	# う選択肢も可能であるが，実行速度を優先するために，この方法はとらなかった．
 	#
-	# ãã®ããï¼ä¸è¬åã¯ä»¥ä¸ã®ãã¿ã¼ã³ã«åé¡ãã¦è¡ãï¼
+	# このため，一般化は以下のパターンに分類して行う．
 	#
-	# 1. ã»ã«ã¤ã³ããã¯ã¹ã®ã¿ä¸è¬åï¼ã»ã«ã¤ã³ããã¯ã¹ã®ãã¿ã¼ã³æ°ãåãå£é
-åã®
-	#    æ·»å­ã®ãã¿ã¼ã³æ°ããå¤ããï¼ãããã¯åãå£ãé
-åã§ãªãå ´åã«è¡ãããï¼
-	# 2. åãå£é
-åã®æ·»å­ã®ã¿ä¸è¬åï¼ãã®å ´åï¼ã»ã«ãã¨ã«ç°ãªãé¢æ°ãç¨ããï¼
+	# 1. セルインデックスのみ一般化．セルインデックスのパターン数が受け口配列の
+	#    添字のパターン数より多いか，あるいは受け口が配列でない場合に行われる．
+	# 2. 受け口配列の添字のみ一般化．この場合，セルごとに異なる関数を用いる．
 	#
-	# ããããï¼ååãå£é¢æ°ã«ã¤ãã¦ï¼ã¢ããã¿é¢æ°ã®çæåæ°ã¯ï¼
-	#         O(min{ã»ã«ã¤ã³ããã¯ã¹ã®ãã¿ã¼ã³æ°, æ·»å­ã®ãã¿ã¼ã³æ°})
-	# ã¨ãªãï¼
+	# これより，各受け口関数について，アダプタ関数の生成個数は，
+	#         O(min{セルインデックスのパターン数, 添字のパターン数})
+	# となる．
 	#
-	# ãã©ã°ã¤ã³ã§ã®å¦çãã¯ã³ãã¹ã§è¡ãããã«ï¼tecsgen.cfgã§ã¯ã¢ããã¿é¢æ°ãç´
-	# æ¥æå®ããã®ã§ã¯ãªãï¼ä»£ããã«ã¢ããã¿é¢æ°ãè¡¨ããã¯ã­ãä½¿ç¨ããï¼ãã®
-	# ãã¯ã­ã¯ã¢ããã¿é¢æ°ãã³ãã«ã¨å¼ã¶ãã¨ã«ããï¼
-	# ã¢ããã¿é¢æ°ãã³ãã«ã¯ï¼æ¬¡ã®2åã®è¦ç´ ããæãï¼
-	#  - ã¢ããã¿é¢æ°ã¸ã®ã®ãã¤ã³ã¿
-	#  - ã¢ããã¿é¢æ°ã®å¼æ°
+	# プラグインでの処理をワンパスで行うために，tecsgen.cfgではアダプタ関数を直
+	# 接指定するのではなく，代わりにアダプタ関数を表すマクロを使用する．この
+	# マクロはアダプタ関数ハンドルと呼ぶことにする．
+	# アダプタ関数ハンドルは，次の2個の要素から成る．
+	#  - アダプタ関数へののポインタ
+	#  - アダプタ関数の引数
 
 	# @private
 	class AdapterGenerator
 
-		# çµåå
-ã«é¢ããå±æ§ãå«ãï¼ã»ã«ï¼åãå£é
-åã®æ·»å­ããæãï¼
-		# åä¸ã®EntryPropertyã¨ãªãçµåã¯ï¼å
-¨ãåãæ¹æ³ã§ãã®åãå£é¢æ°ãå¼ã³
-		# åºããï¼
+		# 結合先に関する属性を含む．セル，受け口配列の添字から成る．
+		# 同一のEntryPropertyとなる結合は，全く同じ方法でその受け口関数を呼び
+		# 出せる．
 		# @private
 		class EntryProperty
-			# @return [Cell] åãå£å´ã®ã»ã«ï¼
+			# @return [Cell] 受け口側のセル．
 			attr_reader :cell
 
-			# @return [Integer, nil] åãå£é
-åã®æ·»å­ï¼é
-åã§ãªãå ´åã¯nilï¼
+			# @return [Integer, nil] 受け口配列の添字．配列でない場合はnil．
 			attr_reader :subscript
 
@@ -100,6 +82,5 @@
 			end
 
-			# åå¤æ§ã®å®ç¾©ï¼Hashã®ã­ã¼ã¨ãã¦ä½¿ç¨ããã®ã«å¿
-è¦ï¼
+			# 同値性の定義．Hashのキーとして使用するのに必要．
 			def eql?(o) @cell == o.cell && @subscript == o.subscript end
 			def hash() @cell.hash ^ @subscript.hash end
@@ -108,11 +89,10 @@
 		# @private
 		class EntryPort
-			# @param [Port] port çµåå
-ã®ã»ã«ã®ã»ã«ã¿ã¤ãã®åãå£ï¼
+			# @param [Port] port 結合先のセルのセルタイプの受け口．
 			def initialize(port, prefix)
 				@port = port
 				@global_name = "#{prefix}_#{@port.get_celltype.get_global_name}_#{@port.get_name}"
 
-				# åãå£é¢æ°åï¼siHandlerBodyãæ³å®ãã¦ããã®ã§ï¼é¢æ°åã¯mainã§åºå®ã§ããï¼
+				# 受け口関数名．siHandlerBodyを想定しているので，関数名はmainで固定である．
 				@entry_fn_name = "#{@port.get_celltype.get_global_name}_#{@port.get_name}_main"
 
@@ -121,5 +101,5 @@
 			end
 
-			# @return [String] ã°ã­ã¼ãã«ã«ä¸æ(ãªãã®ã¨ãã¦æ±ãããã)ãªè­å¥å­ï¼
+			# @return [String] グローバルに一意(なものとして扱えるよう)な識別子．
 			attr_reader :global_name
 
@@ -127,7 +107,7 @@
 			attr_reader :port
 
-			# æå®ããEntryPropertyã«å¯¾å¿ããã¢ããã¿é¢æ°ãã³ãã«ãåå¾ããï¼
+			# 指定したEntryPropertyに対応するアダプタ関数ハンドルを取得する．
 			# @param [EntryProperty] ep
-			# @return [String] ã¢ããã¿é¢æ°ãã³ãã«ï¼
+			# @return [String] アダプタ関数ハンドル．
 			# @private
 			def adapter_handle_for_entry_property(ep)
@@ -139,13 +119,11 @@
 			end
 
-			# çµåå
-ã®æ
-å ±ã«å¿ããã¢ããã¿é¢æ°ãã½ã¼ã¹ã»ãããã¼ã«åºåããï¼
-			# ä¸è¬åæå®ã¯ï¼`cell`ã¾ãã¯`subscript`ã®ä¸æ¹ã®ã¿è¡ããã¨ãã§ããï¼
+			# 結合先の情報に応じたアダプタ関数をソース・ヘッダーに出力する．
+			# 一般化指定は，`cell`または`subscript`の一方のみ行うことができる．
 			#
 			# @param [AdapterGenerator] context
-			# @param [String] fn_name é¢æ°åï¼
-			# @param [Cell, Symbol] cell ã»ã«ï¼ã»ã«ã«ã¤ãã¦ä¸è¬åããå ´åã¯ `:generic`
-			# @param [Integer, Symbol, nil] subscript æ·»å­ï¼æ·»å­ã«ã¤ãã¦ä¸è¬åããå ´åã¯ `:generic`
+			# @param [String] fn_name 関数名．
+			# @param [Cell, Symbol] cell セル．セルについて一般化する場合は `:generic`
+			# @param [Integer, Symbol, nil] subscript 添字．添字について一般化する場合は `:generic`
 			# @private
 			def generate_inner(context, fn_name, cell, subscript)
@@ -158,11 +136,10 @@
 				ct = @port.get_celltype
 
-				# ã·ã³ã°ã«ãã³ã»ã«ã¿ã¤ãä»¥å¤ã§ã¯ï¼CELLIDXã®æå®ãå¿
-è¦ï¼
+				# シングルトンセルタイプ以外では，CELLIDXの指定が必要．
 				unless ct.is_singleton?
 					if cell == :generic
 						params << "(CELLIDX)extinf"
 					else
-						# ã»ã«ã®CELLIDXãå¾ã
+						# セルのCELLIDXを得る
 						if ct.has_INIB? || ct.has_CB?
 							params << ct.get_name_array(cell)[7]
@@ -173,6 +150,5 @@
 				end
 
-				# åãå£é
-åã®æ·»å­ï¼
+				# 受け口配列の添字．
 				if @port.get_array_size
 					if subscript == :generic
@@ -192,6 +168,6 @@
 			end
 
-			# æå®ããJoinã«å¯¾å¿ããã¢ããã¿é¢æ°ãã³ãã«ãåå¾ããï¼
-			# @return [Array] ã¢ããã¿é¢æ°ãã³ãã«ï¼
+			# 指定したJoinに対応するアダプタ関数ハンドルを取得する．
+			# @return [Array] アダプタ関数ハンドル．
 			def make_adapter_handle(join)
 				prop = EntryProperty.from_join(join)
@@ -203,5 +179,5 @@
 			end
 
-			# ã½ã¼ã¹ã»ãããã¼ã®è¨è¿°ãçæããï¼
+			# ソース・ヘッダーの記述を生成する．
 			# @param [AdapterGenerator] context
 			def generate(context)
@@ -217,18 +193,17 @@
 				no_cellidx = false
 				if !(ct.has_INIB? || ct.has_CB?)
-					# CB, INIBæé©åã«ããï¼CB, INIBãä¸¡æ¹ä¸è¦ã«ãªã£ãã±ã¼ã¹ï¼
-					# CELLIDXãä¸è¦ã§ããã®ã§ï¼ã»ã«ã«ã¤ãã¦ä¸è¬åãã¦ãæå³
-					# ã¯ãªãã®ã§ï¼æ·»å­ã«ããä¸è¬åãé¸æããï¼
+					# CB, INIB最適化により，CB, INIBが両方不要になったケース．
+					# CELLIDXが不要であるので，セルについて一般化しても意味
+					# はないので，添字による一般化を選択する．
 					generalize_by_cell_idx = false
 					no_cellidx = true
 
-					# å
-¨ã¦ã®ã»ã«ãåä¸è¦ããï¼
+					# 全てのセルを同一視する．
 					cells = { @props[0].cell => @props }
 
 					header_file.print " * No INIB & CB: generalized by subscript\n"
 				elsif @port.get_array_size
-					# ä¸è¬åãã¿ã¼ã³ã®åé¡ãè¡ãããã«ï¼åãå£å´ã»ã«ãæ·»å­ã®
-					# ãã¿ã¼ã³æ°ãåæãã¦ï¼æé©ãªæ¹ãé¸æããï¼
+					# 一般化パターンの分類を行うために，受け口側セルや添字の
+					# パターン数を分析して，最適な方を選択する．
 					generalize_by_cell_idx = cells.length >= subscripts.length
 					if generalize_by_cell_idx
@@ -238,5 +213,5 @@
 					end
 				else
-					# å¸¸ã«CELLIDXã§ä¸è¬å
+					# 常にCELLIDXで一般化
 					generalize_by_cell_idx = true
 					header_file.print " * non-array entry port: generalized by cell\n"
@@ -246,11 +221,10 @@
 
 				if generalize_by_cell_idx
-					# CELLIDXã«ã¤ãã¦ä¸è¬å
+					# CELLIDXについて一般化
 					subscripts.each { |subscript, props|
 						if subscript
 							fn_name = "#{@global_name}_adap_#{subscript}"
 						else
-							# åãå£é
-åã§ãªãå ´å
+							# 受け口配列でない場合
 							fn_name = "#{@global_name}_adap"
 						end
@@ -262,5 +236,5 @@
 							handle = adapter_handle_for_entry_property(prop)
 
-							# ã»ã«ã®CELLIDXãå¾ã
+							# セルのCELLIDXを得る
 							if ct.has_INIB? || ct.has_CB?
 								idx = ct.get_name_array(prop.cell)[7]
@@ -273,8 +247,8 @@
 					}
 				else
-					# æ·»å­ã«ã¤ãã¦ä¸è¬å
+					# 添字について一般化
 					cells.each { |cell, props|
 						if no_cellidx
-							# CB/INIB ãªã
+							# CB/INIB なし
 							fn_name = "#{@global_name}_adap"
 						else
@@ -302,6 +276,6 @@
 		attr :header_file
 
-		# @param [String] celltype_name ãã³ãã©é¢æ°ã®ã»ã«ã¿ã¤ãï¼
-		# @param [String] prefix ååè¡çªãé²ãããã®ãã¬ãã£ãã¯ã¹ï¼
+		# @param [String] celltype_name ハンドラ関数のセルタイプ．
+		# @param [String] prefix 名前衝突を防ぐためのプレフィックス．
 		def initialize(celltype_name, prefix)
 			@celltype_name = celltype_name
@@ -313,6 +287,6 @@
 
 		# ===AdapterGenerator#make_adapter_handle===
-		# æå®ããçµåã®å¼åºããè¡ãããã®ã¢ããã¿é¢æ°ãã³ãã«ãçæããï¼
-		# @return [Array] ã¢ããã¿é¢æ°ãã³ãã«ï¼
+		# 指定した結合の呼出しを行うためのアダプタ関数ハンドルを生成する．
+		# @return [Array] アダプタ関数ハンドル．
 		def make_adapter_handle(join)
 			entry_port = @entry_ports[join.get_rhs_port]
@@ -326,5 +300,5 @@
 
 		# ===AdapterGenerator#finish===
-		# ååãå£ã«å¯¾ãï¼ã¢ããã¿é¢æ°ãçæããï¼
+		# 各受け口に対し，アダプタ関数を生成する．
 		def finish
 			@source_file = AppFile.open( "#{$gen}/#{@celltype_name}.c" )
@@ -336,9 +310,9 @@
 	        @header_file.print "\n/* Generated by #{self.class.name} */\n\n"
 
-			# NotifierPluginãä½¿ç¨ããã»ã«ã¿ã¤ããè¤æ°ããå ´åï¼ããããã«
-			# å¯¾ãAdapterGenerator#finishãå¼ã³åºãããï¼tTimeEventHandler.hã«
-			# ç¶ãã¦æ¸ãè¾¼ãã§ãã¾ãã¨ï¼ãããã¼ã¬ã¼ãã®é¢ä¿ã§2åç®ä»¥éã®è¨è¿°
-			# ãèª­ã¿è¾¼ã¾ããªããªã£ã¦ãã¾ãï¼ãã®ããï¼ãã¡ã¤ã«å + ã»ã«ã¿ã¤ãå
-			# ã¨ããå°ãç¹æ®ãªãããã¼ã¬ã¼ããç¨ããï¼
+			# NotifierPluginを使用するセルタイプが複数ある場合，それぞれに
+			# 対しAdapterGenerator#finishが呼び出される．tTimeEventHandler.hに
+			# 続けて書き込んでしまうと，ヘッダーガードの関係で2回目以降の記述
+			# が読み込まれなくなってしまう．このため，ファイル名 + セルタイプ名
+			# という少し特殊なヘッダーガードを用いる．
 			header_guard = "#{@celltype_name}_H_#{@prefix}"
 
@@ -346,16 +320,12 @@
 	        @header_file.print "\#define #{header_guard}\n\n"
 
-	        # ã«ã¼ãã«ã³ã³ãã£ã®ã¥ã¬ã¼ã¿ãå®è¡ããéï¼ãã³ãã©åãå£ã®ã»ã«ã¿ã¤ã
-	        # ã®ã»ã«CBã®å®ç¾©ãå¿
-è¦ãªå ´åãããï¼
+	        # カーネルコンフィギュレータを実行する際，ハンドラ受け口のセルタイプ
+	        # のセルCBの定義が必要な場合がある．
 	        @header_file.print "\#include \"#{@celltype_name}_aux.h\"\n\n"
 
-			# çµåå
-ã®ã»ã«ã¿ã¤ãã®å®ç¾©ã¯ï¼èªåã®ã»ã«ã®tecsgen.hãããå
-ã«
-			# èª­ã¿è¾¼ã¾ãªããã°ãªããªããï¼ãã®ãã©ã°ã¤ã³ãè¤æ°å®è¡ãããã¨ï¼
-			# é åºãå´©ãã¦ãã¾ãï¼ããã§ï¼çµåå
-ã®ã»ã«ã¿ã¤ãã®å®ç¾©ã¯ããä¸ã¤ã®
-			# ãããã¼ãã¡ã¤ã«(tCelltypeName_aux.h)ããèª­ã¿è¾¼ãããã«ããï¼
+			# 結合先のセルタイプの定義は，自分のセルのtecsgen.hよりも先に
+			# 読み込まなければならないが，このプラグインが複数実行されると，
+			# 順序が崩れてしまう．そこで，結合先のセルタイプの定義はもう一つの
+			# ヘッダーファイル(tCelltypeName_aux.h)から読み込むようにする．
 			aux_header_file = AppFile.open( "#{$gen}/#{@celltype_name}_aux.h" )
 	        aux_header_file.print "\n/* Generated by #{self.class.name} */\n\n"
@@ -368,6 +338,5 @@
 			cb_type_only_guard = "#{@celltype_name}_AUX_H_#{@prefix}_CB_TYPE_ONLY"
 
-			# çµåå
-ã®ã»ã«ã¿ã¤ãã®å®ç¾©ãèª­ã¿è¾¼ã
+			# 結合先のセルタイプの定義を読み込む
 			aux_header_file.print "#ifndef TOPPERS_CB_TYPE_ONLY\n"
 		    aux_header_file.print "#define TOPPERS_CB_TYPE_ONLY\n"
@@ -400,5 +369,5 @@
 	end
 
-	# ------ éç¥ã®ãã³ãã©ã®ç¨®é¡ã®å®ç¾© -------
+	# ------ 通知のハンドラの種類の定義 -------
 
 	class Handler
@@ -410,8 +379,8 @@
 	end
 
-	# éå¸¸ã®ãã³ãã©
+	# 通常のハンドラ
 	EVENT_HANDLER = Handler::new("ciNotificationHandler")
 
-	# ã¨ã©ã¼ãã³ãã© (éå¸¸ã®ãã³ãã©ãå¤±æããå ´åã«å¼ã³åºããã)
+	# エラーハンドラ (通常のハンドラが失敗した場合に呼び出される)
 	ERROR_HANDLER = Handler::new("ciErrorNotificationHandler")
 
@@ -436,9 +405,8 @@
 	end
 
-	# ------ éç¥ã®å±æ§ã®å®ç¾© -------
+	# ------ 通知の属性の定義 -------
 	#
-	# ãã³ãã©ã¿ã¤ãã«åè´ããªãå±æ§ãæå®ãããå ´åã«
-	# ã¨ã©ã¼ãåºåã§ãããããå
-¨ã¦ã®å±æ§ãããã§åæããã
+	# ハンドラタイプに合致しない属性が指定された場合に
+	# エラーを出力できるよう、全ての属性をここで列挙する。
 
 	SETVAR_ADDR_ATTR =   HandlerAttribute::new("setVariableAddress")
@@ -456,5 +424,5 @@
 	]
 
-	# ------ ãã³ãã©ã¿ã¤ãã®å®ç¾© -------
+	# ------ ハンドラタイプの定義 -------
 
 	class BaseHandlerType
@@ -470,9 +438,8 @@
 
 	    #=== NotifierPlugin#BaseHandlerType#validate_join
-	    # æå®ããã»ã«ã®çµåå
-ãããã®ãã³ãã©ã¿ã¤ãã«è©²å½ããããæ¤è¨¼
-	    # handler:: Handler : ãã³ãã©
-	    # cell:: Cell : ã»ã«
-	    # join:: Join : çµå (declarationãPortã§ãããã®)
+	    # 指定したセルの結合先が、このハンドラタイプに該当するかを検証
+	    # handler:: Handler : ハンドラ
+	    # cell:: Cell : セル
+	    # join:: Join : 結合 (declarationがPortであるもの)
 		def validate_join(handler, cell, join)
         	return !generate_attr_map(handler, cell).nil?
@@ -480,11 +447,11 @@
 
 	    #=== NotifierPlugin#BaseHandlerType#generate_attr_map
-	    # æå®ããã»ã«ã®å±æ§ã¨ãæ¢ç¥ã®HandlerAttributeã®ãããã³ã°ã
-	    # çæããHash<HandlerAttribute, Join> (åå±æ§ã¨ããã«å¯¾å¿ãã
-	    # Join(declarationãDeclã®ãã®)ãè¡¨ãHash)ããããã¯ã
-		# ãããã³ã°ãè¡ããªãå ´å(å±æ§ã®ä¸è¶³ãéå°)ã¯nilãè¿ãã
+	    # 指定したセルの属性と、既知のHandlerAttributeのマッピングを
+	    # 生成し、Hash<HandlerAttribute, Join> (各属性とそれに対応する
+	    # Join(declarationがDeclのもの)を表すHash)、あるいは、
+		# マッピングが行えない場合(属性の不足、過剰)はnilを返す。
 	    #
-	    # handler:: Handler : ãã³ãã©
-	    # cell:: Cell : ã»ã«
+	    # handler:: Handler : ハンドラ
+	    # cell:: Cell : セル
 		def generate_attr_map(handler, cell)
 			map = {}
@@ -496,20 +463,17 @@
 				join = join_list.get_item(attr_name.to_sym)
 
-				# ãã®ã»ã«ã¿ã¤ãã«ããã¦å¿
-é ã®å±æ§ã?
+				# このセルタイプにおいて必須の属性か?
 				is_required = @required_attributes.include?(known_attr)
 
-				# å±æ§ã®æå®ãä¸è¶³ãã¦ãã? or éå°?
-				# æ³¨: ãã³ãã©ã¿ã¤ãã®å¤å¥ã«ã¯ãã»ã«ã§å¤ãæå®ããã¦ããã
-				#     ãèæ
-®ããããã»ã«ã¿ã¤ãã§åæå¤ãæå®ããã¦ãã¦ãã
-				#     ããã¯ãã³ãã©ã¿ã¤ãã®æ±ºå®ã«å½±é¿ããªãã
+				# 属性の指定が不足している? or 過剰?
+				# 注: ハンドラタイプの判別には、セルで値が指定されているか
+				#     が考慮される。セルタイプで初期値が指定されていても、
+				#     それはハンドラタイプの決定に影響しない。
 				return nil if join.nil? != !is_required
 
-				# å¿
-è¦ã®ãªãå±æ§ã§ãããæå®ãããã¦ããªãã®ã§é£ã°ã
+				# 必要のない属性であり、指定もされていないので飛ばす
 				next if join.nil?
 
-				# TODO: attrã®çµåã§ãããã¨ãæ¤è¨¼
+				# TODO: attrの結合であることを検証
 
 				map[known_attr] = join
@@ -520,6 +484,6 @@
 
 	    #=== NotifierPlugin#BaseHandlerType#gen_cfg_handler_type
-	    # ã¿ã¤ã ã¤ãã³ãã®éç¥ã®ç¨®é¡ãè¡¨ãã³ã³ãã£ã®ã¥ã¬ã¼ã¿ã®è¨è¿°ãçæããStringã¾ãã¯nilãè¿ã
-	    # handler:: Handler : ãã³ãã©
+	    # タイムイベントの通知の種類を表すコンフィギュレータの記述を生成し、Stringまたはnilを返す
+	    # handler:: Handler : ハンドラ
 		def gen_cfg_handler_type(handler)
         	raise "called abstract method gen_cfg_handler_type"
@@ -527,11 +491,11 @@
 
 	    #=== NotifierPlugin#BaseHandlerType#gen_cfg_handler_parameters
-	    # ã¿ã¤ã ã¤ãã³ãã®éç¥ã®å¼æ°ãè¡¨ãã³ã³ãã£ã®ã¥ã¬ã¼ã¿ã®è¨è¿°ãçæããString[]ãè¿ã
-	    # handler:: Handler : ãã³ãã©
-	    # join:: Join : çµå (declarationãPortã§ãããã®)
+	    # タイムイベントの通知の引数を表すコンフィギュレータの記述を生成し、String[]を返す
+	    # handler:: Handler : ハンドラ
+	    # join:: Join : 結合 (declarationがPortであるもの)
 	    # attrMap:: Hash<HandlerAttribute, Join> :
-	    #     åå±æ§ã¨ããã«å¯¾å¿ããJoin (declarationãDeclã®ãã®)
-	    # cell:: Cell : ã»ã«
-		# adpt_gen:: AdapterGenerator : ã¢ããã¿é¢æ°ãçæãããªãã¸ã§ã¯ã
+	    #     各属性とそれに対応するJoin (declarationがDeclのもの)
+	    # cell:: Cell : セル
+		# adpt_gen:: AdapterGenerator : アダプタ関数を生成するオブジェクト
 		def gen_cfg_handler_parameters(handler, join, attrMap, cell, adpt_gen)
         	return nil
@@ -539,7 +503,6 @@
 
 	    #=== NotifierPlugin#BaseHandlerType#might_fail
-	    # éç¥ã®éãã¨ã©ã¼ãçºçãããã®çµæã¨ã©ã¼éç¥ãå¼ã¶å¿
-è¦ãçãã
-	    # ãã©ãããè¿ãã
+	    # 通知の際、エラーが発生し、その結果エラー通知を呼ぶ必要が生じる
+	    # かどうかを返す。
 		def might_fail
 			return false
@@ -557,12 +520,12 @@
 			id_attr = join.get_rhs_cell.get_celltype.find(:id)
 			if id_attr_join
-				# ã»ã«çææã«åæåããå ´å
+				# セル生成時に初期化する場合
 				id = id_attr_join.get_rhs.to_s
 			else
-				# ã»ã«ã¿ã¤ãã®åæåå¤ãä½¿ãå ´å
+				# セルタイプの初期化値を使う場合
 				id = id_attr.get_initializer.to_s
 			end
 
-			# $id$ç­ã®ç½®æ
+			# $id$等の置換
 			name_array = taskCell.get_celltype.get_name_array(taskCell)
 			id = taskCell.get_celltype.subst_name(id, name_array)
@@ -617,5 +580,5 @@
 			var_value = attrMap[SETVAR_VALUE_ATTR].get_rhs.to_s
 
-			# $id$ç­ã®ç½®æ
+			# $id$等の置換
 			name_array = cell.get_celltype.get_name_array(cell)
 			var_addr = cell.get_celltype.subst_name(var_addr, name_array)
@@ -646,5 +609,5 @@
 			var_addr = attrMap[SETVAR_ADDR_ATTR].get_rhs.to_s
 
-			# $id$ç­ã®ç½®æ
+			# $id$等の置換
 			name_array = cell.get_celltype.get_name_array(cell)
 			var_addr = cell.get_celltype.subst_name(var_addr, name_array)
@@ -673,5 +636,5 @@
 			var_addr = attrMap[INCVAR_ADDR_ATTR].get_rhs.to_s
 
-			# $id$ç­ã®ç½®æ
+			# $id$等の置換
 			name_array = cell.get_celltype.get_name_array(cell)
 			var_addr = cell.get_celltype.subst_name(var_addr, name_array)
@@ -697,12 +660,12 @@
 			id_attr = join.get_rhs_cell.get_celltype.find(:id)
 			if id_attr_join
-				# ã»ã«çææã«åæåããå ´å
+				# セル生成時に初期化する場合
 				id = id_attr_join.get_rhs.to_s
 			else
-				# ã»ã«ã¿ã¤ãã®åæåå¤ãä½¿ãå ´å
+				# セルタイプの初期化値を使う場合
 				id = id_attr.get_initializer.to_s
 			end
 
-			# $id$ç­ã®ç½®æ
+			# $id$等の置換
 			name_array = semaphoreCell.get_celltype.get_name_array(semaphoreCell)
 			id = semaphoreCell.get_celltype.subst_name(id, name_array)
@@ -737,13 +700,13 @@
 			id_attr = join.get_rhs_cell.get_celltype.find(:id)
 			if id_attr_join
-				# ã»ã«çææã«åæåããå ´å
+				# セル生成時に初期化する場合
 				id = id_attr_join.get_rhs.to_s
 			else
-				# ã»ã«ã¿ã¤ãã®åæåå¤ãä½¿ãå ´å
+				# セルタイプの初期化値を使う場合
 				id = id_attr.get_initializer.to_s
 			end
 			flg_pattern = attrMap[SETFLG_FLAG_ATTR].get_rhs.to_s
 
-			# $id$ç­ã®ç½®æ
+			# $id$等の置換
 			name_array = eventflagCell.get_celltype.get_name_array(eventflagCell)
 			id = eventflagCell.get_celltype.subst_name(id, name_array)
@@ -778,12 +741,12 @@
 			id_attr = join.get_rhs_cell.get_celltype.find(:id)
 			if id_attr_join
-				# ã»ã«çææã«åæåããå ´å
+				# セル生成時に初期化する場合
 				id = id_attr_join.get_rhs.to_s
 			else
-				# ã»ã«ã¿ã¤ãã®åæåå¤ãä½¿ãå ´å
+				# セルタイプの初期化値を使う場合
 				id = id_attr.get_initializer.to_s
 			end
 
-			# $id$ç­ã®ç½®æ
+			# $id$等の置換
 			name_array = dataqueueCell.get_celltype.get_name_array(dataqueueCell)
 			id = dataqueueCell.get_celltype.subst_name(id, name_array)
@@ -812,5 +775,5 @@
 			sent_value = attrMap[SNDDTQ_VALUE_ATTR].get_rhs.to_s
 
-			# $id$ç­ã®ç½®æ
+			# $id$等の置換
 			name_array = cell.get_celltype.get_name_array(cell)
 			sent_value = cell.get_celltype.subst_name(sent_value, name_array)
@@ -854,14 +817,13 @@
 		end
 		def gen_cfg_handler_parameters(handler, join, attrMap, cell, adpt_gen)
-			# tTimeEventHandlerã®çµåå
-ãåå¾
+			# tTimeEventHandlerの結合先を取得
 			handler_cell = join.get_rhs_cell
 	    	call_join = handler_cell.get_join_list.get_item(:ciHandlerBody)
 
-			# çµåããã¦ããªãå ´åã¯tecsgenãã¨ã©ã¼ãåºãã¯ããªã®ã§ããã§ã¯
-			# ã¨ã©ã¼ã«ããç¡è¦ããï¼
+			# 結合されていない場合はtecsgenがエラーを出すはずなのでここでは
+			# エラーにせず無視する．
 			return [] unless call_join
 
-			# ã¢ããã¿é¢æ°ãã³ãã«ãåå¾
+			# アダプタ関数ハンドルを取得
 			adapter_handle = adpt_gen.make_adapter_handle(call_join)
         	return [adapter_handle[1], adapter_handle[0]]
@@ -897,10 +859,10 @@
 
     #@celltype:: Celltype
-    #@option:: String     :ãªãã·ã§ã³æå­å
+    #@option:: String     :オプション文字列
     def initialize( celltype, option )
     	super
     	@plugin_arg_check_proc_tab = NotifierPluginArgProc
     	@plugin_arg_str = option
-    	@plugin_arg_str = option.gsub( /\A"(.*)/, '\1' )    # åå¾ã® "" ãåãé¤ã
+    	@plugin_arg_str = option.gsub( /\A"(.*)/, '\1' )    # 前後の "" を取り除く
     	@plugin_arg_str.sub!( /(.*)"\z/, '\1' )
     	@factory = nil
@@ -940,19 +902,18 @@
         kernelCfg.print "\#include \"tTimeEventHandler.h\"\n"
 
-		# ã¢ããã¿é¢æ°ãçæããæºå
+		# アダプタ関数を生成する準備
 		@adpt_gen = AdapterGenerator.new("tTimeEventHandler", @celltype.get_global_name)
 
-    	# å±æ§ç½®æãè¡ãããã¨ãæ¤è¨¼ããã
-    	# ããã§è¡ãã®ã¯ãfactoryã§æå®ãããå±æ§åã
-    	# å­å¨ãããã¨ãç¢ºèªããããªããã°ã¨ã©ã¼ãåºåãããã¨ã®ã¿ã§ããã
-    	# ã»ã«ãã¨ã®å¦çã®æä¸­ã«ã¨ã©ã¼ãåºåãããã¨ãå¯è½ã§ã¯ãããã
-    	# ããããã¨ã»ã«ã¿ã¤ãå´ã®åé¡ã§ããã®ã«ãããããããã»ã«ãã¨ã«
-    	# ã¨ã©ã¼ãè¡¨ç¤ºããã¦ãã¾ãã
+    	# 属性置換が行えることを検証する。
+    	# ここで行うのは、factoryで指定された属性名が
+    	# 存在することを確認し、しなければエラーを出力することのみである。
+    	# セルごとの処理の最中にエラーを出力することも可能ではあるが、
+    	# そうするとセルタイプ側の問題であるのにもかかわらず、セルごとに
+    	# エラーが表示されてしまう。
     	# {{attribute_name}} -> attribute_value
     	@factory.scan(/\{\{([a-zA-Z0-9_]*?)\}\}/) { |match|
     		name = $1.to_sym
 
-    		# {{_handler_params_}} ã¯ãã³ãã©ã«é¢ããæå®ããã©ã°ã¤ã³å
-ã§å¤ãçæããã
+    		# {{_handler_params_}} はハンドラに関する指定。プラグイン内で値が生成される
     		next if name == :_handler_params_
 
@@ -968,5 +929,5 @@
         }
 
-		# ã¢ããã¿é¢æ°ã®çæãå®äºããã
+		# アダプタ関数の生成を完了させる
 		@adpt_gen.finish
 
@@ -982,12 +943,12 @@
     	handler_flag = nil
 
-		# ignoreErrorsãåå¾
+		# ignoreErrorsを取得
 		ignoreErrors_attr_join = cell.get_join_list.get_item(:ignoreErrors)
 		ignoreErrors_attr = cell.get_celltype.find(:ignoreErrors)
 		if ignoreErrors_attr_join
-			# ã»ã«çææã«åæåããå ´å
+			# セル生成時に初期化する場合
 			ignoreErrors = ignoreErrors_attr_join.get_rhs.to_s
 		else
-			# ã»ã«ã¿ã¤ãã®åæåå¤ãä½¿ãå ´å
+			# セルタイプの初期化値を使う場合
 			ignoreErrors = ignoreErrors_attr.get_initializer.to_s
 		end
@@ -1002,8 +963,8 @@
 
     	[EVENT_HANDLER, ERROR_HANDLER].each { |handler|
-    		# å¼ã³å£ã®çµåãåå¾
+    		# 呼び口の結合を取得
     		call_join = cell.get_join_list.get_item(handler.call_port_name.to_sym)
 
-	    	# ãã³ãã©ã¿ã¤ããå¤å¥ãã
+	    	# ハンドラタイプを判別する
 	    	matches = HANDLER_TYPES.select { |handler_type|
 	    		handler_type.validate_join(handler, cell, call_join)
@@ -1015,11 +976,11 @@
 	    	end
 
-			# æåã«è¦ã¤ãã£ãæå¹ãªãã³ãã©ã¿ã¤ããä½¿ç¨
+			# 最初に見つかった有効なハンドラタイプを使用
 	    	ht = matches[0]
 
-			# éç¥ãã³ãã©ã§ãã¨ã©ã¼ãçºçããã¯ãããªããã®ã«ãã¨ã©ã¼ãã³ãã©ãæå®ããã¦ããã
-			# ãããã¯ãã®éã®ãã¿ã¼ã³ãæ¤åºããã
-			# (handler_flagãnilã§ããå ´åããã³ãã©ã¿ã¤ããä¸æã§ãããã¨ã©ã¼ãçºçãããä¸æ
-			#  ãªãããæ¤åºã¯è¡ããªãã)
+			# 通知ハンドラで「エラーが発生するはずがない」のに「エラーハンドラが指定されている」
+			# もしくはその逆のパターンを検出する。
+			# (handler_flagがnilである場合、ハンドラタイプが不明であり、エラーが発生するか不明
+			#  なため、検出は行わない。)
     		if handler == ERROR_HANDLER && !ht.is_a?(NullHandlerType) && !event_handler_might_fail
 	    		cdl_error( "ASP1004 cell $1: handler type $2 which never raises an error was inferred for the normal notification handler, but an error notification handler was specified.",
@@ -1036,5 +997,5 @@
 	    	end
 
-			# éç¥æ¹æ³ã®éçAPIè¨è¿°ãçæãã
+			# 通知方法の静的API記述を生成する
 	    	handler_flag = ht.gen_cfg_handler_type(handler)
 	    	handler_flags << handler_flag if handler_flag
@@ -1050,5 +1011,5 @@
     	}
 
-		# $id$ç­ã®ç½®æ
+		# $id$等の置換
 		name_array = cell.get_celltype.get_name_array(cell)
 		handler_args.collect! { |e|
@@ -1060,6 +1021,6 @@
 		}
 
-    	# tecsgen.cfgã®è¨è¿°ãçæããã
-    	# factoryã«å¯¾ãããã©ã¡ã¼ã¿ç½®æãè¡ãã
+    	# tecsgen.cfgの記述を生成する。
+    	# factoryに対し、パラメータ置換を行う。
     	# {{attribute_name}} -> attribute_value
     	text = @factory.gsub(/\{\{([a-zA-Z0-9_]*?)\}\}/) { |match|
@@ -1067,5 +1028,5 @@
 			subst_attr = cell.get_celltype.find(name)
 
-			# {{_handler_params_}} ã¯ãã³ãã©ã®æå®ã«ç½®æããã
+			# {{_handler_params_}} はハンドラの指定に置換する。
 			if name == :_handler_params_
 		    	args_joined = handler_flags.join(' | ')
@@ -1078,6 +1039,6 @@
 
 			unless subst_attr
-				# å±æ§ãè¦ã¤ãããªãã¨ããã¨ã©ã¼ã¯ãã§ã«å ±åããã¦ããã®ã§
-				# ããã§ã¯ããã¼å¤ãè¿ãã¦ããã ãã§ããã
+				# 属性が見つからないというエラーはすでに報告されているので
+				# ここではダミー値を返しておくだけである。
 				next ""
 			end
@@ -1085,16 +1046,16 @@
 			subst_attr_join = cell.get_join_list.get_item(name)
 			if subst_attr_join
-				# ã»ã«çææã«åæåããå ´å
+				# セル生成時に初期化する場合
 				subst = subst_attr_join.get_rhs.to_s
 			else
-				# ã»ã«ã¿ã¤ãã®åæåå¤ãä½¿ãå ´å
+				# セルタイプの初期化値を使う場合
 				subst = subst_attr.get_initializer.to_s
 			end
 
-			# $id$ç­ã®ç½®æ
+			# $id$等の置換
 			cell.get_celltype.subst_name(subst, name_array)
     	}
 
-    	# åºå
+    	# 出力
     	kernelCfg.puts text
 
Index: EcnlProtoTool/trunk/asp3_dcre/tecsgen/tecslib/plugin/OpaqueMarshalerPlugin.rb
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/tecsgen/tecslib/plugin/OpaqueMarshalerPlugin.rb	(revision 299)
+++ EcnlProtoTool/trunk/asp3_dcre/tecsgen/tecslib/plugin/OpaqueMarshalerPlugin.rb	(revision 321)
@@ -6,53 +6,38 @@
 #   Copyright (C) 2008-2014 by TOPPERS Project
 #--
-#   ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
-#   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
-#   å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
-#   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
-#       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
-#       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
-#   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#       ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
-#       è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
-#       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#       ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
-#       ã¨ï¼
-#     (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
-#         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#     (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
-#         å ±åãããã¨ï¼
-#   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
-#       å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
-#       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
-#       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
-#       å
-è²¬ãããã¨ï¼
+#   上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+#   ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+#   変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+#   (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+#       権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+#       スコード中に含まれていること．
+#   (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+#       用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+#       者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+#       の無保証規定を掲載すること．
+#   (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+#       用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+#       と．
+#     (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+#         作権表示，この利用条件および下記の無保証規定を掲載すること．
+#     (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+#         報告すること．
+#   (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+#       害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+#       また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+#       由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+#       免責すること．
 #  
-#   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
-#   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
-#   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
-#   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
-#   ã®è²¬ä»»ãè² ããªãï¼
+#   本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+#   よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+#   に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+#   アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+#   の責任を負わない．
 #  
-#   $Id: OpaqueMarshalerPlugin.rb 1011 2016-07-11 02:20:01Z coas-nagasima $
+#   $Id$
 #++
 
 #== OpaqueMarshaler
-# OpaqueRPC ç¨ã®ãã¼ã·ã£ã©ãã¢ã³ãã¼ã·ã£ã©ã»ã«ã¿ã¤ããçæããã·ã°ããã£ãã©ã°ã¤ã³
+# OpaqueRPC 用のマーシャラ、アンマーシャラセルタイプを生成するシグニチャプラグイン
 
 require_tecsgen_lib "lib/GenOpaqueMarshaler.rb"
@@ -76,6 +61,5 @@
     # check_PPAllocator
     if @signature.need_PPAllocator?(true) then
-      @PPAllocatorSize = 1    # PPAllocatorã®å¿
-è¦æ§æã®ããã«è¨­å® (ãµã¤ãºã¯ä½¿ãããªã)
+      @PPAllocatorSize = 1    # PPAllocatorの必要性有のために設定 (サイズは使われない)
       necessity = "Necessary"
     else
